--colors

blue = Color.new(240, 240, 255,255)
purple = Color.new(138, 18, 255,255)

red = Color.new(255, 0, 0,255)

lightblue = Color.new(200, 255, 255,255)

black = Color.new(0, 0, 0,255)

deepred = Color.new(160,0,0,255)
ghost = Color.new(0,205,32,144)

dew = Color.new(160,0,0,255)

green = Color.new(0,255,0,255)

System.memclean()

System.unassign("flash0:")
System.assign ( "flash0:", "lflash0:0,0", "flashfat0:")

--load images
MENU = Image.load("DATA/Images/main.png")
fish = Sound.load("DATA/Sounds/spexit.wav")
crank = Sound.load("DATA/sounds/music.wav")
up = Sound.load("DATA/sounds/arm.wav")
down = Sound.load("DATA/sounds/arm.wav")
INFO = Sound.load("DATA/sounds/sinfo.wav")

System.setcpuspeed(333)

while true do

current = 1
oldpad = Controls.read()

while true do

pad = Controls.read()


--Print Menu Text On Screen
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()



--Highlight Selected Option
if current == 1 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"  INSTALL TORCH'S IN GAME LOCK",.8,dew,ghost,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end

if current == 2 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"  INSTALL MY RANDOM GAMEBOOT V.3",.8,dew,ghost,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end

if current == 3 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"  INSTALL LED CONTROL",.8,dew,ghost,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end
 
if current == 4 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"  INSTALL HOLD+",.8,dew,ghost,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end


if current == 5 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"  INSTALL VSHMENU COLOR CHANGER",.8,dew,ghost,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end


if current == 6 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"  CUSTOMIZE VSHMENU COLOR CONFIG",.8,dew,ghost,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end


if current == 7 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"  INSTALL SCREENSHOT PNG",.8,dew,ghost,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end


if current == 8 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"  INSTALL ULTIMATE VSHMENU",.8,dew,ghost,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end
 

if current == 9 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"  INSTALL HIDEFILE",.8,dew,ghost,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end


if current == 10 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"  BACK",.8,dew,ghost,0)
screen.print(180,265,"    EXIT",.4,dew,0)
screen.endDraw()
end



if current == 11 then
screen.startDraw()
screen.clear(0)
Image.blit(0,0,MENU)
screen.print(140,10,"    PsPLUGIN MANAGER",.6,black,red,0)
screen.print(140,25,"    INSTALL TORCH'S IN GAME LOCK",.6,dew,0)
screen.print(140,50,"    INSTALL MY RANDOM GAMEBOOT V.3",.6,dew,0)
screen.print(140,75,"    INSTALL LED CONTROL",.6,dew,0)
screen.print(140,100,"    INSTALL HOLD+",.6,dew,0)
screen.print(140,125,"    INSTALL VSHMENU COLOR CHANGER",.6,dew,0)
screen.print(140,150,"    CUSTOMIZE VSHMENU COLOR CONFIG",.6,dew,0)
screen.print(140,175,"    INSTALL SCREENSHOT PNG",.6,dew,0)
screen.print(140,200,"    INSTALL ULTIMATE VSHMENU",.6,dew,0)
screen.print(140,225,"    INSTALL HIDEFILE",.6,dew,0)
screen.print(140,250,"    BACK",.6,dew,0)
screen.print(180,265,"  EXIT",.6,dew,ghost,0)
screen.endDraw()
end

--Scroll Through Menu Code
if pad:up() and oldpad:up() ~= pad:up() then
current = current-1
Sound.play(up)
end

if pad:down() and oldpad:down() ~= pad:down() then
current = current+1
Sound.play(down)
end

if current == 12 then
current = 1
end

if current == 0 then
current = 11
end




--Make selection (and result) code


if pad:cross() and current == 1 then
System.message("This is just like the Lock XMB except you can put the system into lock mode while putting a game into sleep mode so people wont be able to screw up your games. Use in conjunction with Lock XMB and use the same password",0)



System.copyFile("DATA/adds/lockdown.prx","ms0:seplugins/lockdown.prx",0)
filel = io.open("ms0:/seplugins/game.txt","a")
lock = "\nms0:/seplugins/lockdown.prx"
filel:write(lock)
filel:close()
System.message("Lock In Game Successfully Installed!",0)
end       

if pad:cross() and current == 2 then


System.copyFile("DATA/adds/MyRandomGameBoot.prx","ms0:/seplugins/MyRandomGameBoot.prx",0)

file = io.open("ms0:/seplugins/vsh.txt","a")
new = "\nms0:/seplugins/MyRandomGameBoot.prx"
file:write(new)
file:close()
System.createDirectory("ms0:/MyRandomGameBoot")
System.message("NOOBS RANDOM GAMEBOOT V3 INSTALLED SUCCESSFULLY",0)
end

if pad:cross() and current == 3 then

System.copyFile("DATA/adds/LEDcontrol.prx","ms0:/seplugins/LEDcontrol.prx",0)

file = io.open("ms0:/seplugins/vsh.txt","a")
new = "\nms0:/seplugins/LEDcontrol.prx"
file:write(new)
file:close()

System.message("LED CONTROL INSTALLED SUCCESSFULLY",0)
end

if pad:cross() and current == 4 then

System.copyFile("DATA/adds/hold.prx","ms0:/seplugins/hold.prx",0)
file1 = io.open("ms0:/seplugins/vsh.txt","a")
new1 = "\nms0:/seplugins/hold.prx"
file1:write(new1)
file1:close()
System.message("HOLD + SUCCESSFULLY INSTALLED",0)

end


if pad:cross() and current == 5 then
 
System.copyFile("DATA/adds/vshmenucolorchanger.prx","ms0:/seplugins/vshmenucolorchanger.prx",0)
System.copyFile("DATA/adds/vshmenucolorchanger.txt","ms0:/seplugins/vshmenucolorchanger.txt",0)
file2 = io.open("ms0:/seplugins/vsh.txt","a")
new2 = "\nms0:/seplugins/vshmenucolorchanger.prx"
file2:write(new2)
file2:close()
System.message("NOOBS VSHMENU COLOR CHANGER SUCCESSFULLY INSTALLED",0)
end


if pad:cross() and current == 6 then
System.message("This will let you edit the color config. file for the vshmenu color changer so you dont have to do it manually",0)
System.removeFile("ms0:/seplugins/vshmenucolorchanger.txt")
System.copyFile("DATA/adds/Vital.txt","ms0:/seplugins/vshmenucolorchanger.txt",0)


fil = io.open("ms0:/seplugins/vshmenucolorchanger.txt","a")

na = "NAME_FG_COLOR = "
nb = "\nNAME_BG_COLOR = "
nc = "\nFG_COLOR = "
nd = "\nBG_COLOR = "
ne = "\nCURSOR_COLOR = "

key = System.startOSK("Name fg color","0x00FFFFFF")
keya = System.startOSK("Name bg color","0x8000FF00")
keyb = System.startOSK("FG_COLOR","0x00FFFFFF")
keyc = System.startOSK("BG_COLOR","0xC00000FF")
keyd = System.startOSK("CURSOR_COLOR","0x00FF8080")

fil:write(na)
fil:write(key)

fil:write(nb)
fil:write(keya)
 
fil:write(nc)
fil:write(keyb)

fil:write(nd)
fil:write(keyc)

fil:write(ne)
fil:write(keyd)

fil:close()

System.message("VSHMENU COLOR CHANGER Text Successfully changed!",0)
end


if pad:cross() and current == 7 then

System.copyFile("DATA/adds/ScreenShotPNG_Plugin.prx","ms0:/seplugins/ScreenShotPNG_Plugin.prx",0)
file3 = io.open("ms0:/seplugins/vsh.txt","a")
new3 = "\nms0:/seplugins/ScreenShotPNG_Plugin.prx"
file3:write(new3)
file3:close()
file4 = io.open("ms0:/seplugins/game.txt","a")
new4 = "\nms0:/seplugins/ScreenShotPNG_Plugin.prx"
file4:write(new4)
file4:close()
System.message("SCREENSHOT PNG PLUGIN SUCCESSFULLY INSTALLED",0)
end

if pad:cross() and current == 10 then
dofile("DATA/main.lua")

end

if pad:cross() and current == 8 then
System.copyFile("DATA/adds/VSHMENU.prx","ms0:/seplugins/VSHMENU.prx",0)
file4 = io.open("ms0:/seplugins/vsh.txt","a")
new4 = "\nms0:/seplugins/VSHMENU.prx"
file4:write(new4)
file4:close()
System.message(" ULTIMATE VSHMENU SUCCESSFULLY INSTALLED",0)
end

if pad:cross() and current == 9 then
System.createDirectory("ms0:/seplugins/hidefile")
System.copyFile("DATA/adds/hidefile.prx","ms0:/seplugins/hidefile/hidefile.prx",0)
System.copyFile("DATA/adds/hidefile.ini","ms0:/seplugins/hidefile/hidefile.ini",0)
file5 = io.open("ms0:/seplugins/vsh.txt","a")
new5 = "\nms0:/seplugins/hidefile/hidefile.prx"
file5:write(new5)
file5:close()


System.message("HIDEFILE SUCCESSFULLY INSTALLED",0)
end

if pad:cross() and current == 11 then
Sound.play(fish)
System.Quit()
	        end

if pad:select() and current == 1 then
System.message("This is just like the Lock XMB except you can put the system into lock mode while putting a game into sleep mode so people wont be able to screw up your games. Use in conjunction with Lock XMB and use the same password",0)
end

if pad:select() and current == 2 then
System.message("This plugin lets you run gameboots randomly from the memory stick. It will create a folder called myrandomgameboots. Just place the gameboot.pmf file in it with an opening_plugin.rco file and name them the same EX happy.pmf and happy.rco and enable in recovery.",0)
end

if pad:select() and current == 3 then
System.message("This plugin turn off the led lights on the psp by pressing the l and r triggers",0)
end

if pad:select() and current == 4 then
System.message("This plugin will save your psps battery life by doing small improvements such as turning off the lcd screen while in sleep mode. Very Usefull!!!",0) 
end 

if pad:select() and current == 5 then
System.message("This plugin will let you change the colors of your original vshmenu without having to touch the flash 0. Just change the values in hex in the vshmenucolorchanger.txt file in seplugins or use this program to do it. NOTE Colors must be in hexadecimal format!",0)
end
if pad:select() and current == 6 then
System.message("This lets you edit all the data in the vshmenu color changer.txt file so there is no need to manually do it. Just be sure to keep the colors in hexadecimal format.",0)
end

if pad:select() and current == 7 then
System.message("This plugin lets you take screenshots super fast in png format so it also takes up less memory on your memory stick. Just push note to take a screenshot",0)
end

if pad:select() and current == 8 then
System.message("This plugin is NOOBs Ultimate Vshmenu. Its the best out there because it adds tons of features like accessing the recovery menu from the XMB.Push select to activate. MUST HAVE!",0)
end

if pad:select() and current == 9 then
System.message("This plugin lets you hide your photo, music, video and game folders. Just push R trigger while the plugin is activated and type in the password (Currently 1234) and push L to hide. Do the same to unhide. There is a config file in the seplugins folder in the hidefile folder in which you can change the password.",0)
end
screen.flipscreen()
screen.waitVblankStart()
oldpad = pad
end



end
 










































































































































































